## mucharmap-unicode-info mucharmap-unicode-info |

## Synopsis

    enum                MucharmapUnicodeVersion;
    const gchar *       mucharmap_get_unicode_name          (gunichar uc);
    const gchar *       mucharmap_get_unicode_data_name     (gunichar uc);
    gint                mucharmap_get_unicode_data_name_count
                                                            (void);
    MucharmapUnicodeVersion  mucharmap_get_unicode_version  (gunichar wc);
    const gchar *       mucharmap_get_unicode_category_name (gunichar uc);
    gint                mucharmap_get_unihan_count          (void);
    const gchar *       mucharmap_get_unicode_kDefinition   (gunichar uc);
    const gchar *       mucharmap_get_unicode_kCantonese    (gunichar uc);
    const gchar *       mucharmap_get_unicode_kMandarin     (gunichar uc);
    const gchar *       mucharmap_get_unicode_kTang         (gunichar uc);
    const gchar *       mucharmap_get_unicode_kKorean       (gunichar uc);
    const gchar *       mucharmap_get_unicode_kJapaneseKun  (gunichar uc);
    const gchar *       mucharmap_get_unicode_kJapaneseOn   (gunichar uc);
    const gchar **      mucharmap_get_nameslist_stars       (gunichar wc);
    const gchar **      mucharmap_get_nameslist_equals      (gunichar wc);
    gunichar *               mucharmap_get_nameslist_exes   (gunichar wc);
    const gchar **      mucharmap_get_nameslist_pounds      (gunichar wc);
    const gchar **      mucharmap_get_nameslist_colons      (gunichar wc);
    gboolean            mucharmap_unichar_validate          (gunichar wc);
    gint                mucharmap_unichar_to_printable_utf8 (gunichar wc,
                                                             gchar *outbuf);
    GUnicodeType        mucharmap_unichar_type              (gunichar wc);
    gboolean            mucharmap_unichar_isdefined         (gunichar wc);
    gboolean            mucharmap_unichar_isgraph           (gunichar wc);
    const gchar **      mucharmap_unicode_list_scripts      (void);
    const gchar *       mucharmap_unicode_get_script_for_char
                                                            (gunichar wc);
    const gchar *       mucharmap_unicode_version_to_string (MucharmapUnicodeVersion version);
    gunichar            mucharmap_unicode_get_locale_character
                                                            (void);

## Description

## Details

### enum MucharmapUnicodeVersion

    typedef enum {
      GUCHARMAP_UNICODE_VERSION_UNASSIGNED,
      GUCHARMAP_UNICODE_VERSION_1_1,
      GUCHARMAP_UNICODE_VERSION_2_0,
      GUCHARMAP_UNICODE_VERSION_2_1,
      GUCHARMAP_UNICODE_VERSION_3_0,
      GUCHARMAP_UNICODE_VERSION_3_1,
      GUCHARMAP_UNICODE_VERSION_3_2,
      GUCHARMAP_UNICODE_VERSION_4_0,
      GUCHARMAP_UNICODE_VERSION_4_1,
      GUCHARMAP_UNICODE_VERSION_5_0,
      GUCHARMAP_UNICODE_VERSION_5_1,
      GUCHARMAP_UNICODE_VERSION_5_2,
      GUCHARMAP_UNICODE_VERSION_LATEST = GUCHARMAP_UNICODE_VERSION_5_2 /* private, will move forward with each revision */
    } MucharmapUnicodeVersion;

### mucharmap_get_unicode_name ()

    const gchar *       mucharmap_get_unicode_name          (gunichar uc);

`uc` : |
Returns : |

### mucharmap_get_unicode_data_name ()

    const gchar *       mucharmap_get_unicode_data_name     (gunichar uc);

`uc` : |
Returns : |

### mucharmap_get_unicode_data_name_count ()

    gint                mucharmap_get_unicode_data_name_count
                                                            (void);

Returns : |

### mucharmap_get_unicode_version ()

    MucharmapUnicodeVersion  mucharmap_get_unicode_version  (gunichar wc);

`wc` : |
Returns : |

### mucharmap_get_unicode_category_name ()

    const gchar *       mucharmap_get_unicode_category_name (gunichar uc);

`uc` : |
Returns : |

### mucharmap_get_unihan_count ()

    gint                mucharmap_get_unihan_count          (void);

Returns : |

### mucharmap_get_unicode_kDefinition ()

    const gchar *       mucharmap_get_unicode_kDefinition   (gunichar uc);

`uc` : |
Returns : |

### mucharmap_get_unicode_kCantonese ()

    const gchar *       mucharmap_get_unicode_kCantonese    (gunichar uc);

`uc` : |
Returns : |

### mucharmap_get_unicode_kMandarin ()

    const gchar *       mucharmap_get_unicode_kMandarin     (gunichar uc);

`uc` : |
Returns : |

### mucharmap_get_unicode_kTang ()

    const gchar *       mucharmap_get_unicode_kTang         (gunichar uc);

`uc` : |
Returns : |

### mucharmap_get_unicode_kKorean ()

    const gchar *       mucharmap_get_unicode_kKorean       (gunichar uc);

`uc` : |
Returns : |

### mucharmap_get_unicode_kJapaneseKun ()

    const gchar *       mucharmap_get_unicode_kJapaneseKun  (gunichar uc);

`uc` : |
Returns : |

### mucharmap_get_unicode_kJapaneseOn ()

    const gchar *       mucharmap_get_unicode_kJapaneseOn   (gunichar uc);

`uc` : |
Returns : |

### mucharmap_get_nameslist_stars ()

    const gchar **      mucharmap_get_nameslist_stars       (gunichar wc);

`wc` : |
Returns : |

### mucharmap_get_nameslist_equals ()

    const gchar **      mucharmap_get_nameslist_equals      (gunichar wc);

`wc` : |
Returns : |

### mucharmap_get_nameslist_exes ()

    gunichar *               mucharmap_get_nameslist_exes   (gunichar wc);

`wc` : |
Returns : |

### mucharmap_get_nameslist_pounds ()

    const gchar **      mucharmap_get_nameslist_pounds      (gunichar wc);

`wc` : |
Returns : |

### mucharmap_get_nameslist_colons ()

    const gchar **      mucharmap_get_nameslist_colons      (gunichar wc);

`wc` : |
Returns : |

### mucharmap_unichar_validate ()

    gboolean            mucharmap_unichar_validate          (gunichar wc);

`wc` : |
Returns : |

### mucharmap_unichar_to_printable_utf8 ()

    gint                mucharmap_unichar_to_printable_utf8 (gunichar wc,
                                                             gchar *outbuf);

Converts a single character to UTF-8 suitable for rendering. Check the source to see what this means. ;-)

`wc` : |
`outbuf` : | output buffer, must have at least 10 bytes of space. If `NULL`, the length will be computed and returned and nothing will be written to `outbuf`.
Returns : | number of bytes written

### mucharmap_unichar_type ()

    GUnicodeType        mucharmap_unichar_type              (gunichar wc);

Classifies a Unicode character by type.

`wc` : |
Returns : | the type of the character.

### mucharmap_unichar_isdefined ()

    gboolean            mucharmap_unichar_isdefined         (gunichar wc);

Determines if a given character is assigned in the Unicode standard.

`wc` : |
Returns : | `TRUE` if the character has an assigned value

### mucharmap_unichar_isgraph ()

    gboolean            mucharmap_unichar_isgraph           (gunichar wc);

Determines whether a character is printable and not a space (returns `FALSE` for control characters, format characters, and spaces). `g_unichar_isprint()` is similar, but returns `TRUE` for spaces. Given some UTF-8 text, obtain a character value with `g_utf8_get_char()`.

`wc` : |
Returns : | `TRUE` if `c` is printable unless it's a space

### mucharmap_unicode_list_scripts ()

    const gchar **      mucharmap_unicode_list_scripts      (void);

Returns : | a newly allocated `NULL`-terminated array of strings

### mucharmap_unicode_get_script_for_char ()

    const gchar *       mucharmap_unicode_get_script_for_char
                                                            (gunichar wc);

`wc` : | a character
Returns : | The English (untranslated) name of the script to which the character belongs. Characters that don't belong to an actual script return %"Common".

### mucharmap_unicode_version_to_string ()

    const gchar *       mucharmap_unicode_version_to_string (MucharmapUnicodeVersion version);

`version` : |
Returns : |

### mucharmap_unicode_get_locale_character ()

    gunichar            mucharmap_unicode_get_locale_character
                                                            (void);

Determines a character that's commonly used in the current locale's script.

Returns : | a unicode character